.flex {
    display: flex;
    min-width: 350px;
}

a.invis{
    all: revert;
    text-decoration: none;
    color: inherit;
    display: inline-block;
    margin-left: 10px;
}

.pad-bot {
    padding-bottom: 20px;
}

.title {
    text-align: center;
    color: black;
    font-weight: bolder;
}

.contact {
    text-align: center;
    color: black;
}

.mp-list:not([hidden]) {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.mp-grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    max-width: 1200px;
    margin: 0 auto;
  }

.mp-container {
    background-color: #fff;
    display: flex;
    box-shadow: 2px 3px 5px rgba(0, 0, 0, .1);
    flex-direction: row;
    margin: 0 .625rem .625rem 0;
    position: relative;
    max-height: 161.97px;
    text-decoration: none;
    color: inherit;
    display: inline-block;
    margin-left: 10px;
}

.mp-img {
    max-width: 100px;
}

.mp-party {
    border-bottom: solid 4px #e6e6e6;
}

.sorting-container {
    padding-left: 12px;
    padding-bottom: 12px;
}

.mp-name {
    font-size: 1.125rem;
    font-weight: bold;
    margin-bottom: .625rem;
    line-height: 1.3;
}

.centered {
    display: flex;
    justify-content: center;
    align-items: center;
}

.category {
    font-weight: bolder;
    font-size: 12;
}

.disclosure-container {
    max-width: 60%;
}

.expense-container {
    max-width: 100%;
    width: 1000px;
}

.mp-container-thin {
    background-color: #fff;
    display: flex;
    box-shadow: 2px 3px 5px rgba(0, 0, 0, .1);
    flex-direction: row;
    margin: 0 .625rem .625rem 0;
    position: relative;
    max-height: 161.97px;
    max-width: 900px;
}

.conservative {
    border-color:#002395;
}
.uc {
    border-color:#002395;
}
.ap {
    border-color: #5B9BD5;
}
.pc {
    border-color:#002395;
}
.progressive-conservative {
    border-color:#002395;
}
.coalition-avenir {
    border-color:#00A8E7;
}
.québec-solidaire {
    border-color: #FF6D29;
}
.parti-québécois {
    border-color: #1E295C;
}
.new-democrat {
    border-color: #FF6D29;
}
.independent {
    border-color: silver;
}
.ind {
    border-color: silver;
}

.liberal {
    border-color:#D71920;
}
.ind-lib {
    border-color: #D71920;
}
.ontario-liberal {
    border-color:#D71920;
}
.parti-libéral {
    border-color:#D71920;
}
.liberal-party {
    border-color:#D71920;
}

.ndp {
    border-color:#FF5800;
}

.saskatchewan-party {
    border-color:#005941;
}

.bc-ndp {
    border-color:#FF5800;
}

.conservative-party {
    border-color:#002395;
}

.bc-green {
    border-color:#427a26;
}

.new-democratic {
    border-color:#FF5800;
}

.green-party {
    border-color:#427a26;
}

.bloc-québécois {
    border-color:#0088CE;
}

.txt-container {
    padding: .925rem .625rem;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    max-width: 212px;
    max-height: 161.97px;
}

.top-tile {
    flex-grow: 1;
    font-size: 12px;
}
.bottom-tile {
    font-size: 10px;
}

body {
    background-color: #F2F2F2;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}
.container {
    position: relative;
    width: 100%;
    height: 100%; /* Adjust this value as needed */
    box-sizing: border-box;
}

.homeowner {
    font-size: x-large;
    font-weight: bold;
}
.landlord {
    font-size: x-large;
    font-weight: bold;
}
.landlord-subtext {
    font-size: large;
    font-weight: normal;
}
.investor {
    font-size: x-large;
    font-weight: bold;
}
.separatist-text {
    font-size: large;
    font-weight: normal;
}

.chart-title {
    text-align: center;
    color: black;
    font-weight: bolder;
    margin-top: 20px;
}
.chart-subtitle {
    text-align: center;
    color: black;
    padding: 0px;
}
#chart-legend
{
    display: grid;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 20px;
    margin: 0 auto;
}

/* Donut Chart Colors */
.ct-series-a .ct-slice-donut {
  stroke: #e05555 !important;
}
.ct-series-b .ct-slice-donut {
  stroke: #6fb8f6 !important;
}
.ct-series-c .ct-slice-donut {
  stroke: #ffe14d !important;
}
.ct-series-d .ct-slice-donut {
  stroke: #e6b84d !important;
}
.ct-series-e .ct-slice-donut {
  stroke: #9d6cff !important;
}
.ct-series-f .ct-slice-donut {
  stroke: #388e2e !important;
}
#expense-chart .ct-label {
  font-weight: bold !important;
}

/* Bar Chart Colors */
.ct-series-a .ct-bar {
  stroke: #e05555 !important;
}
.ct-series-b .ct-bar {
  stroke: #6fb8f6 !important;
}
.ct-series-c .ct-bar {
  stroke: #ffe14d !important;
}
.ct-series-d .ct-bar {
  stroke: #e6b84d !important;
}
.ct-series-e .ct-bar {
  stroke: #9d6cff !important;
}
.ct-series-f .ct-bar {
  stroke: #388e2e !important;
}

#expense-chart3 {
    height: 600px !important;
}

@media (max-width: 768px) {
    .mp-grid-container {
        grid-template-columns: repeat(2, 1fr); /* Two columns on tablets */
        align-content: center;
    }
    .mp-list {
        grid-template-columns: repeat(2, 1fr); /* Two columns on tablets */
    }
    .disclosure-container {
        max-width: 100%;
    }
}
  
@media (max-width: 480px) {
    .mp-grid-container {
        grid-template-columns: repeat(1, 1fr);
        align-content: center;
    }
    .mp-list {
        grid-template-columns: repeat(1, 1fr);
    }
    .disclosure-container {
        max-width: 100%;
    }
    .ct-label {
        font-size: 10px !important;
    }
    #expense-chart .ct-label.ct-horizontal {
        transform: rotate(-45deg);
        text-anchor: end;
    }
    #expense-chart2 .ct-label.ct-horizontal {
        transform: rotate(-45deg);
        text-anchor: end;
    }
    #expense-chart3 .ct-label.ct-horizontal {
        transform: rotate(-45deg);
        text-anchor: end;
        font-size: 6px !important;
    }
    #chart-legend {
        font-size: medium;
    }
}
